<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="stacksize">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>stacksize</refname>
    <refpurpose> set scilab stack size</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>stacksize(n)
stacksize('max')
stacksize('min')
sz=stacksize()</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>n</term>
        <listitem>
          <para>integer, the required stack size given in number of double precision words</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>sz</term>
        <listitem>
          <para>2-vector [total used]</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Scilab stores "usual" variables in a stack <literal>stk</literal> (for global variables see <literal>gstacksize</literal>).</para>
    <para><literal>stacksize(n)</literal> allows the user to increase or decrease the size of
    this stack. The maximum allowed size depends on the amount of
    free memory and swap space available at the time.</para>
    <para><literal>stacksize('max')</literal> allows the user to increase the size of
    this stack to the maximum.</para>
    <para><literal>stacksize('min')</literal> allows the user to decrease the size of
    this stack to the minimum.</para>
    <para>
    This function with the <literal>n</literal> argument can now be used everywhere.</para>
    <para><literal>sz=stacksize()</literal> returns a 2-vector which contains  the current
    total and used stack size.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="who">who</link>
      </member>
      <member>
        <link linkend="gstacksize">gstacksize</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
